DCMTK: DcmDictEntryList Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmDictEntryList Class Reference

an ordered list of pointers to DcmDictEntry objects More...

## Public Member Functions
| DcmDictEntryList ()
| constructor
| ~DcmDictEntryList ()
| destructor
void | clear ()
| clears list and deletes all entries
unsigned int | size () const
OFBool | empty () const
DcmDictEntryListIterator | begin ()
DcmDictEntryListIterator | end ()
DcmDictEntryListConstIterator | begin () const
DcmDictEntryListConstIterator | end () const
DcmDictEntryListIterator | insert (DcmDictEntryListIterator position, DcmDictEntry *entry)
| Insert a new element in the list.
void | remove (DcmDictEntry *entry)
| Remove an element from the list.
void | push_back (DcmDictEntry *entry)
| Append a new entry to the list.
DcmDictEntry * | insertAndReplace (DcmDictEntry *entry)
| inserts an entry into the list and returns any replaced entry
DcmDictEntry * | find (const DcmTagKey &key, const char *privCreator)
| find an entry in the set

## Private Member Functions
| DcmDictEntryList (const DcmDictEntryList &)
| private undefined copy constructor
DcmDictEntryList & | operator= (const DcmDictEntryList &)
| private undefined copy assignment operator

## Private Attributes
OFList< DcmDictEntry * > | list_
| list of entries

## Detailed Description

an ordered list of pointers to DcmDictEntry objects

## Member Function Documentation

## ◆ begin() [1/2]

DcmDictEntryListIterator DcmDictEntryList::begin | ( |  | ) |

Returns
  Iterator to the beginning of the list

## ◆ begin() [2/2]

DcmDictEntryListConstIterator DcmDictEntryList::begin | ( |  | ) | const

Returns
  Iterator to the beginning of the list

## ◆ empty()

OFBool DcmDictEntryList::empty | ( |  | ) | const

Returns
  True if this list is empty

## ◆ end() [1/2]

DcmDictEntryListIterator DcmDictEntryList::end | ( |  | ) |

Returns
  Iterator past the end of the list

## ◆ end() [2/2]

DcmDictEntryListConstIterator DcmDictEntryList::end | ( |  | ) | const

Returns
  Iterator past the end of the list

## ◆ find()

DcmDictEntry * DcmDictEntryList::find | ( | const DcmTagKey & | key,
|  | const char * | privCreator )

find an entry in the set

Parameters

  key | tag key of the entry to be searched for
  privCreator | private creator identifier, may be NULL

Returns
  pointer to entry (if found), otherwise NULL

## ◆ insert()

DcmDictEntryListIterator DcmDictEntryList::insert | ( | DcmDictEntryListIterator | position,
|  | DcmDictEntry * | entry )

Insert a new element in the list.

Parameters

  position | Position to insert after
  entry | Entry to insert

Returns
  Iterator to the new entry

## ◆ insertAndReplace()

DcmDictEntry * DcmDictEntryList::insertAndReplace | ( | DcmDictEntry * | entry | ) |

inserts an entry into the list and returns any replaced entry

Parameters

  entry | new list entry

Returns
  replaced list entry or NULL

## ◆ push_back()

void DcmDictEntryList::push_back | ( | DcmDictEntry * | entry | ) |

Append a new entry to the list.

Parameters

  entry | The entry to append.

## ◆ remove()

void DcmDictEntryList::remove | ( | DcmDictEntry * | entry | ) |

Remove an element from the list.

Parameters

  entry | The entry to remove

## ◆ size()

unsigned int DcmDictEntryList::size | ( |  | ) | const

Returns
  the number of elements in this list

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dchashdi.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2